/**
 *
 */
package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.List;

import com.alibaba.fastjson.JSON;
import com.pcloud.common.entity.UploadResultInfo;

/**
 * @author：songx
 * @date：2018年5月17日,下午4:27:26
 */
public class TranscodeMQDTO implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -2842213933611569171L;

    /**
     * 文件MD5
     */
    private String fileId;

    /**
     * 来源标识
     */
    private Long fromId;

    /**
     * 来源类型
     */
    private String fromType;

    /**
     * 待转码的文件地址
     */
    private String fileUrl;

    /**
     * 当事人
     */
    private Long partyId;

    /**
     * 转码类型
     */
    private Integer transcodeType;

    /**
     * 转换后的文件集合
     */
    private List<UploadResultInfo> uploadResultInfos;

    public Integer getTranscodeType() {
        return transcodeType;
    }

    public void setTranscodeType(Integer transcodeType) {
        this.transcodeType = transcodeType;
    }

    public Long getPartyId() {
        return partyId;
    }

    public void setPartyId(Long partyId) {
        this.partyId = partyId;
    }

    public List<UploadResultInfo> getUploadResultInfos() {
        return uploadResultInfos;
    }

    public void setUploadResultInfos(List<UploadResultInfo> uploadResultInfos) {
        this.uploadResultInfos = uploadResultInfos;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public Long getFromId() {
        return fromId;
    }

    public void setFromId(Long fromId) {
        this.fromId = fromId;
    }

    public String getFromType() {
        return fromType;
    }

    public void setFromType(String fromType) {
        this.fromType = fromType;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    @Override
    public String toString() {
        return "TranscodeMQDTO " + JSON.toJSONString(this);
    }

}
